Create new service type
Create a new service type.
Required permissions: SERVICE_ORDER
post/tenants/{tenantUid}/serviceorders/types
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
namestringRequired
deprecatedbooleanOptional
serviceTypeUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
serviceTypeUidstringRequiredPattern:
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
^[A-Za-z0-9-_]+namestringRequired
deprecatedbooleanRequired
post/tenants/{tenantUid}/serviceorders/types
POST /v2/tenants/{tenantUid}/serviceorders/types HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 118
{
"name": "text",
"serviceStatuses": [
{
"serviceStatusUid": "text",
"position": 1
}
],
"deprecated": true,
"serviceTypeUid": "text"
}201
Example response
{
"serviceTypeUid": "text",
"tenantUid": "text",
"serviceStatuses": [
{
"serviceStatusUid": "text",
"serviceStatusName": "text",
"position": 1,
"state": "NOT_STARTED"
}
],
"name": "text",
"deprecated": true
}Last updated
Was this helpful?

